Deployments
List deployments
GET
/
v1
/
deployments
List deployments
curl --request GET \
--url https://api.veri.studio/v1/deployments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"model": "<string>",
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source_model_id": "<string>",
"endpoint_url": "<string>",
"gpu": {
"type": "<string>",
"count": 123
},
"provider": "<string>",
"engine": "<string>",
"num_replicas": 123,
"ready_replicas": 123,
"min_replicas": 123,
"max_replicas": 123,
"concurrency_target": 123,
"scale_to_zero_window_seconds": 123,
"idle_delete_after_days": 123,
"cost_per_hour_usd": 123,
"total_cost_usd": 123,
"total_requests": 123,
"error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"stopped_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
⌘I
List deployments
curl --request GET \
--url https://api.veri.studio/v1/deployments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"model": "<string>",
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source_model_id": "<string>",
"endpoint_url": "<string>",
"gpu": {
"type": "<string>",
"count": 123
},
"provider": "<string>",
"engine": "<string>",
"num_replicas": 123,
"ready_replicas": 123,
"min_replicas": 123,
"max_replicas": 123,
"concurrency_target": 123,
"scale_to_zero_window_seconds": 123,
"idle_delete_after_days": 123,
"cost_per_hour_usd": 123,
"total_cost_usd": 123,
"total_requests": 123,
"error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"stopped_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}
